#!/bin/sh

# This is a convenience script to dump all applets to a specified directory
# Can be embedded into ToolBox ('applets' dir)
#
# Note: if you've changed the default name of the output binary
# from 'toolbox' to something else, use that name in the line below, e.g.:
# TOOLBOX="${1:-./mytools}"

TOOLBOX="${1:-./toolbox}"
DUMPDIR="${2:-dump}"

if [ ! -f "$TOOLBOX" ]; then
	echo "$TOOLBOX not found, aborting..."
	exit 1
fi

mkdir -p "$DUMPDIR" || exit 1

"${TOOLBOX}" -l | while read -r APPLET; do

	rm -f "${DUMPDIR}/${APPLET}"	

	echo "> $APPLET"
	
	"${TOOLBOX}" -d "$APPLET" > "${DUMPDIR}/${APPLET}" 2>/dev/null

	if [ $? -eq 255 ]; then
		LINK="$(cat "${DUMPDIR}/${APPLET}")"
		rm -f "${DUMPDIR}/${APPLET}"
		ln -sfT "${LINK}" "${DUMPDIR}/${APPLET}"
	fi

done
