#!/bin/sh

# This is a convenience script to be embedded in ToolBox (applets dir).
# Invoke it like this:
# eval "$(./toolbox mkaliases.sh)"
# and it will set up aliases for all embedded applets.
#
# Note: if you've changed the default name of the output binary
# from 'toolbox' to something else, use that name in the line below, e.g.:
# TOOLBOX="${1:-./mytools}"

TOOLBOX="${1:-./toolbox}"

if [ ! -f "$TOOLBOX" ]; then
	echo "$TOOLBOX not found, aborting..."
	exit 1
fi

for APPLET in $(${TOOLBOX} -l); do
	echo "alias $APPLET=\"${TOOLBOX} ${APPLET}\""
done
